/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gamelibrary.gameobject;

/**
 *
 * @author Griff
 */
import javax.microedition.lcdui.game.*;
import gamelibrary.game.Coordinates;

public class GameObjectDecorator implements GameObject{

    protected GameObject next;
    protected Sprite sprite;

    public GameObjectDecorator(GameObject gameObject){
        next = gameObject;
    }

    public Coordinates getCoordinates(){
        return next.getCoordinates();
    }

    public void addToLayerManager(LayerManager layerManager){
        next.getCoordinates();
    }

    public boolean die(){
        return next.die();
    }

    public boolean move(int howFarX, int howFarY){
        return next.move(howFarX, howFarY);
    }

    public boolean undoLastMove(){
        return next.undoLastMove();
    }

    public void resolveCollision(GameObject foreign){
        next.resolveCollision(foreign);
    }

    public boolean acceptInput(int keyMask){
        return next.acceptInput(keyMask);
    }

    public boolean collidesWith(GameObject foreign){
        return next.collidesWith(foreign);
    }

    public boolean collidesWith(Sprite otherSprite){
        return next.collidesWith(otherSprite);
    }
}
